From 6f4cca5148df764979dc1d13d6b786f68c509f90 Mon Sep 17 00:00:00 2001
From: Stephen Paul Weber <singpolyma@singpolyma.net>
Date: Wed, 18 Mar 2015 09:55:59 -0500
Subject: [PATCH 02/10] Add discovery information for OpenPGP support

---
 src/core/protocol.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/core/protocol.c b/src/core/protocol.c
index ba89160..10626e5 100644
--- a/src/core/protocol.c
+++ b/src/core/protocol.c
@@ -22,6 +22,7 @@
 #include "xmpp-servers.h"
 #include "rosters-tools.h"
 #include "tools.h"
+#include "xep/disco.h"
 
 char *pgp_passwd = NULL;
 
@@ -62,6 +63,8 @@ sig_set_presence(XMPP_SERVER_REC *server, const int show, const char *status,
 	if((pgp_keyid = settings_get_str("xmpp_pgp"))) {
 		LmMessageNode *x;
 		char *signature = call_gpg("-ab", str, NULL, 0, 1);
+		disco_add_feature("jabber:x:signed");
+		disco_add_feature("jabber:x:encrypted");
 
 		if(signature) {
 			x = lm_message_node_add_child(lmsg->node, "x", signature);
-- 
2.1.4

